package service

import (
	"fonchain-artshow/cmd/dao"
	"fonchain-artshow/pb/artShow"
	"fonchain-artshow/pkg/serializer"
)

func QuerySaleAddress(in *artShow.SaleAddressReq) (out *artShow.SaleAddressRes, err error) {
	address, err := dao.QuerySaleAddress(in)
	if err != nil {
		return nil, err
	}
	out = serializer.BuildSaleAddressRpc(address)
	return
}
